PROJ	= rampa
LIBS	=  -lm
CFLAGS  = -c -O -Wall
LFLAGS  = 
CC	= gcc
#
#
OBJS = pnm.o matrix.o rampa.o

all: $(PROJ)

$(PROJ): $(OBJS)
	$(CC) $(LFLAGS) -o $(PROJ) $(OBJS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) $< -o $@

install:
	@echo "Installing $(PROJ)..."
	cp $(PROJ) $(HOME)/bin
	( cd $(HOME)/bin; chmod a+rx $(PROJ) )
	@echo "done"

clean:
	rm -f  $(OBJS)  $(PROJ)


